extends RefCounted
class_name RegionHelper

const TILE_SIZE = 256
const MARGIN = 2
const OFFSET = TILE_SIZE + MARGIN
const ROW_SIZE = 5
const SPACE = " "
const LETTERS = "ABCDEFGHIJKLMNOPQRSTUVWXYZ "

static func get_region(letter: String):
	if letter == null or letter.is_empty():
		letter = SPACE
		
	var index = LETTERS.find(letter)

	var x = index % ROW_SIZE * OFFSET
	var y = index / ROW_SIZE * OFFSET
	
	return Rect2(x, y, TILE_SIZE, TILE_SIZE)

